Develop and Download Open Source Software

Browse CVS Repository

Diff of /satellite/satellite4/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.3 by orrisroot, Wed Jul 28 13:47:05 2004 UTC revision 1.4 by orrisroot, Wed Jul 28 17:33:51 2004 UTC
# Line 466  ac_includes_default="\ Line 466  ac_includes_default="\
466  # include <unistd.h>  # include <unistd.h>
467  #endif"  #endif"
468    
469  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot sl4includedir sl4libdir sl4libexecdir docdir sl4docdir sl4sharedir examplesdir moduledir systemrcdir modulercdir MODULE_LDFLAGS CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP LN_S RANLIB ac_ct_RANLIB YACC EGREP ECHO AR ac_ct_AR CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LEX LEXLIB LEX_OUTPUT_ROOT SHLIBPATH_VAR MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT PTHREAD_CFLAGS PTHREAD_LIBS TERMCAP_LIBS LIBOBJS POW_LIB LTLIBOBJS'  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot sl4includedir sl4libdir sl4libexecdir docdir sl4docdir sl4sharedir examplesdir moduledir systemrcdir modulercdir MODULE_LDFLAGS CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP LN_S RANLIB ac_ct_RANLIB YACC EGREP ECHO AR ac_ct_AR CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LEX LEXLIB LEX_OUTPUT_ROOT SHLIBPATH_VAR MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT PTHREAD_CFLAGS PTHREAD_LIBS TERMCAP_LIBS X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XTOOLKIT_CFLAGS XTOOLKIT_LIBS LIBOBJS POW_LIB LTLIBOBJS'
470  ac_subst_files=''  ac_subst_files=''
471    
472  # Initialize some variables set by options.  # Initialize some variables set by options.
# Line 19332  fi Line 19332  fi
19332    
19333    
19334    
19335    # Checks for libraries.
19336    # FIXME: Replace `main' with a function in `-lm':
19337    
19338    echo "$as_me:$LINENO: checking for sin in -lm" >&5
19339    echo $ECHO_N "checking for sin in -lm... $ECHO_C" >&6
19340    if test "${ac_cv_lib_m_sin+set}" = set; then
19341      echo $ECHO_N "(cached) $ECHO_C" >&6
19342    else
19343      ac_check_lib_save_LIBS=$LIBS
19344    LIBS="-lm  $LIBS"
19345    cat >conftest.$ac_ext <<_ACEOF
19346    #line $LINENO "configure"
19347    /* confdefs.h.  */
19348    _ACEOF
19349    cat confdefs.h >>conftest.$ac_ext
19350    cat >>conftest.$ac_ext <<_ACEOF
19351    /* end confdefs.h.  */
19352    
19353    /* Override any gcc2 internal prototype to avoid an error.  */
19354    #ifdef __cplusplus
19355    extern "C"
19356    #endif
19357    /* We use char because int might match the return type of a gcc2
19358       builtin and then its argument prototype would still apply.  */
19359    char sin ();
19360    int
19361    main ()
19362    {
19363    sin ();
19364      ;
19365      return 0;
19366    }
19367    _ACEOF
19368    rm -f conftest.$ac_objext conftest$ac_exeext
19369    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
19370      (eval $ac_link) 2>&5
19371      ac_status=$?
19372      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19373      (exit $ac_status); } &&
19374             { ac_try='test -s conftest$ac_exeext'
19375      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19376      (eval $ac_try) 2>&5
19377      ac_status=$?
19378      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19379      (exit $ac_status); }; }; then
19380      ac_cv_lib_m_sin=yes
19381    else
19382      echo "$as_me: failed program was:" >&5
19383    sed 's/^/| /' conftest.$ac_ext >&5
19384    
19385    ac_cv_lib_m_sin=no
19386    fi
19387    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
19388    LIBS=$ac_check_lib_save_LIBS
19389    fi
19390    echo "$as_me:$LINENO: result: $ac_cv_lib_m_sin" >&5
19391    echo "${ECHO_T}$ac_cv_lib_m_sin" >&6
19392    if test $ac_cv_lib_m_sin = yes; then
19393      cat >>confdefs.h <<_ACEOF
19394    #define HAVE_LIBM 1
19395    _ACEOF
19396    
19397      LIBS="-lm $LIBS"
19398    
19399    fi
19400    
19401    
19402    # check pthread library
19403  # define pthread_test() program  # define pthread_test() program
19404    
19405    
# Line 20065  echo "$as_me: error: *** Unable to locat Line 20133  echo "$as_me: error: *** Unable to locat
20133    
20134    
20135    
   
 # Checks for libraries.  
 # FIXME: Replace `main' with a function in `-lm':  
   
 echo "$as_me:$LINENO: checking for sin in -lm" >&5  
 echo $ECHO_N "checking for sin in -lm... $ECHO_C" >&6  
 if test "${ac_cv_lib_m_sin+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   ac_check_lib_save_LIBS=$LIBS  
 LIBS="-lm  $LIBS"  
 cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
   
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char sin ();  
 int  
 main ()  
 {  
 sin ();  
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_lib_m_sin=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 ac_cv_lib_m_sin=no  
 fi  
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  
 LIBS=$ac_check_lib_save_LIBS  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_lib_m_sin" >&5  
 echo "${ECHO_T}$ac_cv_lib_m_sin" >&6  
 if test $ac_cv_lib_m_sin = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define HAVE_LIBM 1  
 _ACEOF  
   
   LIBS="-lm $LIBS"  
   
 fi  
   
   
20136  # check termcap library  # check termcap library
20137    TERMCAP_LIBS=""    TERMCAP_LIBS=""
20138    
# Line 20479  echo "$as_me: error: *** curses or termc Line 20479  echo "$as_me: error: *** curses or termc
20479    
20480    
20481    
20482    # check X Toolkit
 # FIXME: Replace `main' with a function in `-lsatellite':  
 #AC_CHECK_LIB([satellite], [main])  
 # FIXME: Replace `main' with a function in `-lslshell':  
 #AC_CHECK_LIB([slshell], [main])  
   
 echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5  
 echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6  
 if test "${ac_cv_lib_dl_dlopen+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   ac_check_lib_save_LIBS=$LIBS  
 LIBS="-ldl  $LIBS"  
 cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
   
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char dlopen ();  
 int  
 main ()  
 {  
 dlopen ();  
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_lib_dl_dlopen=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 ac_cv_lib_dl_dlopen=no  
 fi  
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  
 LIBS=$ac_check_lib_save_LIBS  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5  
 echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6  
 if test $ac_cv_lib_dl_dlopen = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define HAVE_LIBDL 1  
 _ACEOF  
   
   LIBS="-ldl $LIBS"  
   
 fi  
   
   
 # Checks for header files.  
20483  echo "$as_me:$LINENO: checking for X" >&5  echo "$as_me:$LINENO: checking for X" >&5
20484  echo $ECHO_N "checking for X... $ECHO_C" >&6  echo $ECHO_N "checking for X... $ECHO_C" >&6
20485    
# Line 20776  fi Line 20706  fi
20706    
20707    
20708    
20709    # Change these status
20710    
20711    # check_motif="no"
20712    # check_motif_error="no"
20713    # check_xaw3d="no"
20714    # check_xaw3d_error="no"
20715    # check_xaw="no"
20716    # check_xaw_error="no"
20717    
20718    check_motif="no"
20719    check_motif_error="no"
20720    check_xaw="yes"
20721    check_xaw_error="no"
20722    check_xaw3d="yes"
20723    check_xaw3d_error="no"
20724    
20725    # end of status
20726    
20727    # don't edit under lines
20728    XTOOLKIT_CFLAGS=""
20729    XTOOLKIT_LIBS=""
20730    XM_CFLAGS=""
20731    XM_LIBS=""
20732    XAW_CFLAGS=""
20733    XAW_LIBS=""
20734    XAW3D_CFLAGS=""
20735    XAW3D_LIBS=""
20736    
20737    have_motif="no"
20738    have_xaw3d="no"
20739    have_xaw="no"
20740    
20741    if test "$no_x" = yes; then
20742      # Not all programs may use this symbol, but it does not hurt to define it.
20743    
20744    cat >>confdefs.h <<\_ACEOF
20745    #define X_DISPLAY_MISSING 1
20746    _ACEOF
20747    
20748      X_CFLAGS= X_PRE_LIBS= X_LIBS= X_EXTRA_LIBS=
20749    else
20750      if test -n "$x_includes"; then
20751        X_CFLAGS="$X_CFLAGS -I$x_includes"
20752      fi
20753    
20754      # It would also be nice to do this for all -L options, not just this one.
20755      if test -n "$x_libraries"; then
20756        X_LIBS="$X_LIBS -L$x_libraries"
20757        # For Solaris; some versions of Sun CC require a space after -R and
20758        # others require no space.  Words are not sufficient . . . .
20759        case `(uname -sr) 2>/dev/null` in
20760        "SunOS 5"*)
20761          echo "$as_me:$LINENO: checking whether -R must be followed by a space" >&5
20762    echo $ECHO_N "checking whether -R must be followed by a space... $ECHO_C" >&6
20763          ac_xsave_LIBS=$LIBS; LIBS="$LIBS -R$x_libraries"
20764          cat >conftest.$ac_ext <<_ACEOF
20765    #line $LINENO "configure"
20766    /* confdefs.h.  */
20767    _ACEOF
20768    cat confdefs.h >>conftest.$ac_ext
20769    cat >>conftest.$ac_ext <<_ACEOF
20770    /* end confdefs.h.  */
20771    
20772    int
20773    main ()
20774    {
20775    
20776      ;
20777      return 0;
20778    }
20779    _ACEOF
20780    rm -f conftest.$ac_objext conftest$ac_exeext
20781    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
20782      (eval $ac_link) 2>&5
20783      ac_status=$?
20784      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20785      (exit $ac_status); } &&
20786             { ac_try='test -s conftest$ac_exeext'
20787      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20788      (eval $ac_try) 2>&5
20789      ac_status=$?
20790      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20791      (exit $ac_status); }; }; then
20792      ac_R_nospace=yes
20793    else
20794      echo "$as_me: failed program was:" >&5
20795    sed 's/^/| /' conftest.$ac_ext >&5
20796    
20797    ac_R_nospace=no
20798    fi
20799    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
20800          if test $ac_R_nospace = yes; then
20801            echo "$as_me:$LINENO: result: no" >&5
20802    echo "${ECHO_T}no" >&6
20803            X_LIBS="$X_LIBS -R$x_libraries"
20804          else
20805            LIBS="$ac_xsave_LIBS -R $x_libraries"
20806            cat >conftest.$ac_ext <<_ACEOF
20807    #line $LINENO "configure"
20808    /* confdefs.h.  */
20809    _ACEOF
20810    cat confdefs.h >>conftest.$ac_ext
20811    cat >>conftest.$ac_ext <<_ACEOF
20812    /* end confdefs.h.  */
20813    
20814    int
20815    main ()
20816    {
20817    
20818      ;
20819      return 0;
20820    }
20821    _ACEOF
20822    rm -f conftest.$ac_objext conftest$ac_exeext
20823    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
20824      (eval $ac_link) 2>&5
20825      ac_status=$?
20826      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20827      (exit $ac_status); } &&
20828             { ac_try='test -s conftest$ac_exeext'
20829      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20830      (eval $ac_try) 2>&5
20831      ac_status=$?
20832      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20833      (exit $ac_status); }; }; then
20834      ac_R_space=yes
20835    else
20836      echo "$as_me: failed program was:" >&5
20837    sed 's/^/| /' conftest.$ac_ext >&5
20838    
20839    ac_R_space=no
20840    fi
20841    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
20842            if test $ac_R_space = yes; then
20843              echo "$as_me:$LINENO: result: yes" >&5
20844    echo "${ECHO_T}yes" >&6
20845              X_LIBS="$X_LIBS -R $x_libraries"
20846            else
20847              echo "$as_me:$LINENO: result: neither works" >&5
20848    echo "${ECHO_T}neither works" >&6
20849            fi
20850          fi
20851          LIBS=$ac_xsave_LIBS
20852        esac
20853      fi
20854    
20855      # Check for system-dependent libraries X programs must link with.
20856      # Do this before checking for the system-independent R6 libraries
20857      # (-lICE), since we may need -lsocket or whatever for X linking.
20858    
20859      if test "$ISC" = yes; then
20860        X_EXTRA_LIBS="$X_EXTRA_LIBS -lnsl_s -linet"
20861      else
20862        # Martyn Johnson says this is needed for Ultrix, if the X
20863        # libraries were built with DECnet support.  And Karl Berry says
20864        # the Alpha needs dnet_stub (dnet does not exist).
20865        ac_xsave_LIBS="$LIBS"; LIBS="$LIBS $X_LIBS -lX11"
20866        cat >conftest.$ac_ext <<_ACEOF
20867    #line $LINENO "configure"
20868    /* confdefs.h.  */
20869    _ACEOF
20870    cat confdefs.h >>conftest.$ac_ext
20871    cat >>conftest.$ac_ext <<_ACEOF
20872    /* end confdefs.h.  */
20873    
20874    /* Override any gcc2 internal prototype to avoid an error.  */
20875    #ifdef __cplusplus
20876    extern "C"
20877    #endif
20878    /* We use char because int might match the return type of a gcc2
20879       builtin and then its argument prototype would still apply.  */
20880    char XOpenDisplay ();
20881    int
20882    main ()
20883    {
20884    XOpenDisplay ();
20885      ;
20886      return 0;
20887    }
20888    _ACEOF
20889    rm -f conftest.$ac_objext conftest$ac_exeext
20890    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
20891      (eval $ac_link) 2>&5
20892      ac_status=$?
20893      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20894      (exit $ac_status); } &&
20895             { ac_try='test -s conftest$ac_exeext'
20896      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20897      (eval $ac_try) 2>&5
20898      ac_status=$?
20899      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20900      (exit $ac_status); }; }; then
20901      :
20902    else
20903      echo "$as_me: failed program was:" >&5
20904    sed 's/^/| /' conftest.$ac_ext >&5
20905    
20906    echo "$as_me:$LINENO: checking for dnet_ntoa in -ldnet" >&5
20907    echo $ECHO_N "checking for dnet_ntoa in -ldnet... $ECHO_C" >&6
20908    if test "${ac_cv_lib_dnet_dnet_ntoa+set}" = set; then
20909      echo $ECHO_N "(cached) $ECHO_C" >&6
20910    else
20911      ac_check_lib_save_LIBS=$LIBS
20912    LIBS="-ldnet  $LIBS"
20913    cat >conftest.$ac_ext <<_ACEOF
20914    #line $LINENO "configure"
20915    /* confdefs.h.  */
20916    _ACEOF
20917    cat confdefs.h >>conftest.$ac_ext
20918    cat >>conftest.$ac_ext <<_ACEOF
20919    /* end confdefs.h.  */
20920    
20921    /* Override any gcc2 internal prototype to avoid an error.  */
20922    #ifdef __cplusplus
20923    extern "C"
20924    #endif
20925    /* We use char because int might match the return type of a gcc2
20926       builtin and then its argument prototype would still apply.  */
20927    char dnet_ntoa ();
20928    int
20929    main ()
20930    {
20931    dnet_ntoa ();
20932      ;
20933      return 0;
20934    }
20935    _ACEOF
20936    rm -f conftest.$ac_objext conftest$ac_exeext
20937    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
20938      (eval $ac_link) 2>&5
20939      ac_status=$?
20940      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20941      (exit $ac_status); } &&
20942             { ac_try='test -s conftest$ac_exeext'
20943      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20944      (eval $ac_try) 2>&5
20945      ac_status=$?
20946      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20947      (exit $ac_status); }; }; then
20948      ac_cv_lib_dnet_dnet_ntoa=yes
20949    else
20950      echo "$as_me: failed program was:" >&5
20951    sed 's/^/| /' conftest.$ac_ext >&5
20952    
20953    ac_cv_lib_dnet_dnet_ntoa=no
20954    fi
20955    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
20956    LIBS=$ac_check_lib_save_LIBS
20957    fi
20958    echo "$as_me:$LINENO: result: $ac_cv_lib_dnet_dnet_ntoa" >&5
20959    echo "${ECHO_T}$ac_cv_lib_dnet_dnet_ntoa" >&6
20960    if test $ac_cv_lib_dnet_dnet_ntoa = yes; then
20961      X_EXTRA_LIBS="$X_EXTRA_LIBS -ldnet"
20962    fi
20963    
20964        if test $ac_cv_lib_dnet_dnet_ntoa = no; then
20965          echo "$as_me:$LINENO: checking for dnet_ntoa in -ldnet_stub" >&5
20966    echo $ECHO_N "checking for dnet_ntoa in -ldnet_stub... $ECHO_C" >&6
20967    if test "${ac_cv_lib_dnet_stub_dnet_ntoa+set}" = set; then
20968      echo $ECHO_N "(cached) $ECHO_C" >&6
20969    else
20970      ac_check_lib_save_LIBS=$LIBS
20971    LIBS="-ldnet_stub  $LIBS"
20972    cat >conftest.$ac_ext <<_ACEOF
20973    #line $LINENO "configure"
20974    /* confdefs.h.  */
20975    _ACEOF
20976    cat confdefs.h >>conftest.$ac_ext
20977    cat >>conftest.$ac_ext <<_ACEOF
20978    /* end confdefs.h.  */
20979    
20980    /* Override any gcc2 internal prototype to avoid an error.  */
20981    #ifdef __cplusplus
20982    extern "C"
20983    #endif
20984    /* We use char because int might match the return type of a gcc2
20985       builtin and then its argument prototype would still apply.  */
20986    char dnet_ntoa ();
20987    int
20988    main ()
20989    {
20990    dnet_ntoa ();
20991      ;
20992      return 0;
20993    }
20994    _ACEOF
20995    rm -f conftest.$ac_objext conftest$ac_exeext
20996    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
20997      (eval $ac_link) 2>&5
20998      ac_status=$?
20999      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21000      (exit $ac_status); } &&
21001             { ac_try='test -s conftest$ac_exeext'
21002      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21003      (eval $ac_try) 2>&5
21004      ac_status=$?
21005      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21006      (exit $ac_status); }; }; then
21007      ac_cv_lib_dnet_stub_dnet_ntoa=yes
21008    else
21009      echo "$as_me: failed program was:" >&5
21010    sed 's/^/| /' conftest.$ac_ext >&5
21011    
21012    ac_cv_lib_dnet_stub_dnet_ntoa=no
21013    fi
21014    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21015    LIBS=$ac_check_lib_save_LIBS
21016    fi
21017    echo "$as_me:$LINENO: result: $ac_cv_lib_dnet_stub_dnet_ntoa" >&5
21018    echo "${ECHO_T}$ac_cv_lib_dnet_stub_dnet_ntoa" >&6
21019    if test $ac_cv_lib_dnet_stub_dnet_ntoa = yes; then
21020      X_EXTRA_LIBS="$X_EXTRA_LIBS -ldnet_stub"
21021    fi
21022    
21023        fi
21024    fi
21025    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21026        LIBS="$ac_xsave_LIBS"
21027    
21028        # msh@cis.ufl.edu says -lnsl (and -lsocket) are needed for his 386/AT,
21029        # to get the SysV transport functions.
21030        # Chad R. Larson says the Pyramis MIS-ES running DC/OSx (SVR4)
21031        # needs -lnsl.
21032        # The nsl library prevents programs from opening the X display
21033        # on Irix 5.2, according to T.E. Dickey.
21034        # The functions gethostbyname, getservbyname, and inet_addr are
21035        # in -lbsd on LynxOS 3.0.1/i386, according to Lars Hecking.
21036        echo "$as_me:$LINENO: checking for gethostbyname" >&5
21037    echo $ECHO_N "checking for gethostbyname... $ECHO_C" >&6
21038    if test "${ac_cv_func_gethostbyname+set}" = set; then
21039      echo $ECHO_N "(cached) $ECHO_C" >&6
21040    else
21041      cat >conftest.$ac_ext <<_ACEOF
21042    #line $LINENO "configure"
21043    /* confdefs.h.  */
21044    _ACEOF
21045    cat confdefs.h >>conftest.$ac_ext
21046    cat >>conftest.$ac_ext <<_ACEOF
21047    /* end confdefs.h.  */
21048    /* System header to define __stub macros and hopefully few prototypes,
21049        which can conflict with char gethostbyname (); below.
21050        Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
21051        <limits.h> exists even on freestanding compilers.  */
21052    #ifdef __STDC__
21053    # include <limits.h>
21054    #else
21055    # include <assert.h>
21056    #endif
21057    /* Override any gcc2 internal prototype to avoid an error.  */
21058    #ifdef __cplusplus
21059    extern "C"
21060    {
21061    #endif
21062    /* We use char because int might match the return type of a gcc2
21063       builtin and then its argument prototype would still apply.  */
21064    char gethostbyname ();
21065    /* The GNU C library defines this for functions which it implements
21066        to always fail with ENOSYS.  Some functions are actually named
21067        something starting with __ and the normal name is an alias.  */
21068    #if defined (__stub_gethostbyname) || defined (__stub___gethostbyname)
21069    choke me
21070    #else
21071    char (*f) () = gethostbyname;
21072    #endif
21073    #ifdef __cplusplus
21074    }
21075    #endif
21076    
21077    int
21078    main ()
21079    {
21080    return f != gethostbyname;
21081      ;
21082      return 0;
21083    }
21084    _ACEOF
21085    rm -f conftest.$ac_objext conftest$ac_exeext
21086    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21087      (eval $ac_link) 2>&5
21088      ac_status=$?
21089      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21090      (exit $ac_status); } &&
21091             { ac_try='test -s conftest$ac_exeext'
21092      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21093      (eval $ac_try) 2>&5
21094      ac_status=$?
21095      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21096      (exit $ac_status); }; }; then
21097      ac_cv_func_gethostbyname=yes
21098    else
21099      echo "$as_me: failed program was:" >&5
21100    sed 's/^/| /' conftest.$ac_ext >&5
21101    
21102    ac_cv_func_gethostbyname=no
21103    fi
21104    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21105    fi
21106    echo "$as_me:$LINENO: result: $ac_cv_func_gethostbyname" >&5
21107    echo "${ECHO_T}$ac_cv_func_gethostbyname" >&6
21108    
21109        if test $ac_cv_func_gethostbyname = no; then
21110          echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5
21111    echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6
21112    if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
21113      echo $ECHO_N "(cached) $ECHO_C" >&6
21114    else
21115      ac_check_lib_save_LIBS=$LIBS
21116    LIBS="-lnsl  $LIBS"
21117    cat >conftest.$ac_ext <<_ACEOF
21118    #line $LINENO "configure"
21119    /* confdefs.h.  */
21120    _ACEOF
21121    cat confdefs.h >>conftest.$ac_ext
21122    cat >>conftest.$ac_ext <<_ACEOF
21123    /* end confdefs.h.  */
21124    
21125    /* Override any gcc2 internal prototype to avoid an error.  */
21126    #ifdef __cplusplus
21127    extern "C"
21128    #endif
21129    /* We use char because int might match the return type of a gcc2
21130       builtin and then its argument prototype would still apply.  */
21131    char gethostbyname ();
21132    int
21133    main ()
21134    {
21135    gethostbyname ();
21136      ;
21137      return 0;
21138    }
21139    _ACEOF
21140    rm -f conftest.$ac_objext conftest$ac_exeext
21141    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21142      (eval $ac_link) 2>&5
21143      ac_status=$?
21144      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21145      (exit $ac_status); } &&
21146             { ac_try='test -s conftest$ac_exeext'
21147      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21148      (eval $ac_try) 2>&5
21149      ac_status=$?
21150      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21151      (exit $ac_status); }; }; then
21152      ac_cv_lib_nsl_gethostbyname=yes
21153    else
21154      echo "$as_me: failed program was:" >&5
21155    sed 's/^/| /' conftest.$ac_ext >&5
21156    
21157    ac_cv_lib_nsl_gethostbyname=no
21158    fi
21159    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21160    LIBS=$ac_check_lib_save_LIBS
21161    fi
21162    echo "$as_me:$LINENO: result: $ac_cv_lib_nsl_gethostbyname" >&5
21163    echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6
21164    if test $ac_cv_lib_nsl_gethostbyname = yes; then
21165      X_EXTRA_LIBS="$X_EXTRA_LIBS -lnsl"
21166    fi
21167    
21168          if test $ac_cv_lib_nsl_gethostbyname = no; then
21169            echo "$as_me:$LINENO: checking for gethostbyname in -lbsd" >&5
21170    echo $ECHO_N "checking for gethostbyname in -lbsd... $ECHO_C" >&6
21171    if test "${ac_cv_lib_bsd_gethostbyname+set}" = set; then
21172      echo $ECHO_N "(cached) $ECHO_C" >&6
21173    else
21174      ac_check_lib_save_LIBS=$LIBS
21175    LIBS="-lbsd  $LIBS"
21176    cat >conftest.$ac_ext <<_ACEOF
21177    #line $LINENO "configure"
21178    /* confdefs.h.  */
21179    _ACEOF
21180    cat confdefs.h >>conftest.$ac_ext
21181    cat >>conftest.$ac_ext <<_ACEOF
21182    /* end confdefs.h.  */
21183    
21184    /* Override any gcc2 internal prototype to avoid an error.  */
21185    #ifdef __cplusplus
21186    extern "C"
21187    #endif
21188    /* We use char because int might match the return type of a gcc2
21189       builtin and then its argument prototype would still apply.  */
21190    char gethostbyname ();
21191    int
21192    main ()
21193    {
21194    gethostbyname ();
21195      ;
21196      return 0;
21197    }
21198    _ACEOF
21199    rm -f conftest.$ac_objext conftest$ac_exeext
21200    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21201      (eval $ac_link) 2>&5
21202      ac_status=$?
21203      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21204      (exit $ac_status); } &&
21205             { ac_try='test -s conftest$ac_exeext'
21206      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21207      (eval $ac_try) 2>&5
21208      ac_status=$?
21209      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21210      (exit $ac_status); }; }; then
21211      ac_cv_lib_bsd_gethostbyname=yes
21212    else
21213      echo "$as_me: failed program was:" >&5
21214    sed 's/^/| /' conftest.$ac_ext >&5
21215    
21216    ac_cv_lib_bsd_gethostbyname=no
21217    fi
21218    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21219    LIBS=$ac_check_lib_save_LIBS
21220    fi
21221    echo "$as_me:$LINENO: result: $ac_cv_lib_bsd_gethostbyname" >&5
21222    echo "${ECHO_T}$ac_cv_lib_bsd_gethostbyname" >&6
21223    if test $ac_cv_lib_bsd_gethostbyname = yes; then
21224      X_EXTRA_LIBS="$X_EXTRA_LIBS -lbsd"
21225    fi
21226    
21227          fi
21228        fi
21229    
21230        # lieder@skyler.mavd.honeywell.com says without -lsocket,
21231        # socket/setsockopt and other routines are undefined under SCO ODT
21232        # 2.0.  But -lsocket is broken on IRIX 5.2 (and is not necessary
21233        # on later versions), says Simon Leinen: it contains gethostby*
21234        # variants that don't use the name server (or something).  -lsocket
21235        # must be given before -lnsl if both are needed.  We assume that
21236        # if connect needs -lnsl, so does gethostbyname.
21237        echo "$as_me:$LINENO: checking for connect" >&5
21238    echo $ECHO_N "checking for connect... $ECHO_C" >&6
21239    if test "${ac_cv_func_connect+set}" = set; then
21240      echo $ECHO_N "(cached) $ECHO_C" >&6
21241    else
21242      cat >conftest.$ac_ext <<_ACEOF
21243    #line $LINENO "configure"
21244    /* confdefs.h.  */
21245    _ACEOF
21246    cat confdefs.h >>conftest.$ac_ext
21247    cat >>conftest.$ac_ext <<_ACEOF
21248    /* end confdefs.h.  */
21249    /* System header to define __stub macros and hopefully few prototypes,
21250        which can conflict with char connect (); below.
21251        Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
21252        <limits.h> exists even on freestanding compilers.  */
21253    #ifdef __STDC__
21254    # include <limits.h>
21255    #else
21256    # include <assert.h>
21257    #endif
21258    /* Override any gcc2 internal prototype to avoid an error.  */
21259    #ifdef __cplusplus
21260    extern "C"
21261    {
21262    #endif
21263    /* We use char because int might match the return type of a gcc2
21264       builtin and then its argument prototype would still apply.  */
21265    char connect ();
21266    /* The GNU C library defines this for functions which it implements
21267        to always fail with ENOSYS.  Some functions are actually named
21268        something starting with __ and the normal name is an alias.  */
21269    #if defined (__stub_connect) || defined (__stub___connect)
21270    choke me
21271    #else
21272    char (*f) () = connect;
21273    #endif
21274    #ifdef __cplusplus
21275    }
21276    #endif
21277    
21278    int
21279    main ()
21280    {
21281    return f != connect;
21282      ;
21283      return 0;
21284    }
21285    _ACEOF
21286    rm -f conftest.$ac_objext conftest$ac_exeext
21287    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21288      (eval $ac_link) 2>&5
21289      ac_status=$?
21290      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21291      (exit $ac_status); } &&
21292             { ac_try='test -s conftest$ac_exeext'
21293      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21294      (eval $ac_try) 2>&5
21295      ac_status=$?
21296      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21297      (exit $ac_status); }; }; then
21298      ac_cv_func_connect=yes
21299    else
21300      echo "$as_me: failed program was:" >&5
21301    sed 's/^/| /' conftest.$ac_ext >&5
21302    
21303    ac_cv_func_connect=no
21304    fi
21305    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21306    fi
21307    echo "$as_me:$LINENO: result: $ac_cv_func_connect" >&5
21308    echo "${ECHO_T}$ac_cv_func_connect" >&6
21309    
21310        if test $ac_cv_func_connect = no; then
21311          echo "$as_me:$LINENO: checking for connect in -lsocket" >&5
21312    echo $ECHO_N "checking for connect in -lsocket... $ECHO_C" >&6
21313    if test "${ac_cv_lib_socket_connect+set}" = set; then
21314      echo $ECHO_N "(cached) $ECHO_C" >&6
21315    else
21316      ac_check_lib_save_LIBS=$LIBS
21317    LIBS="-lsocket $X_EXTRA_LIBS $LIBS"
21318    cat >conftest.$ac_ext <<_ACEOF
21319    #line $LINENO "configure"
21320    /* confdefs.h.  */
21321    _ACEOF
21322    cat confdefs.h >>conftest.$ac_ext
21323    cat >>conftest.$ac_ext <<_ACEOF
21324    /* end confdefs.h.  */
21325    
21326    /* Override any gcc2 internal prototype to avoid an error.  */
21327    #ifdef __cplusplus
21328    extern "C"
21329    #endif
21330    /* We use char because int might match the return type of a gcc2
21331       builtin and then its argument prototype would still apply.  */
21332    char connect ();
21333    int
21334    main ()
21335    {
21336    connect ();
21337      ;
21338      return 0;
21339    }
21340    _ACEOF
21341    rm -f conftest.$ac_objext conftest$ac_exeext
21342    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21343      (eval $ac_link) 2>&5
21344      ac_status=$?
21345      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21346      (exit $ac_status); } &&
21347             { ac_try='test -s conftest$ac_exeext'
21348      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21349      (eval $ac_try) 2>&5
21350      ac_status=$?
21351      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21352      (exit $ac_status); }; }; then
21353      ac_cv_lib_socket_connect=yes
21354    else
21355      echo "$as_me: failed program was:" >&5
21356    sed 's/^/| /' conftest.$ac_ext >&5
21357    
21358    ac_cv_lib_socket_connect=no
21359    fi
21360    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21361    LIBS=$ac_check_lib_save_LIBS
21362    fi
21363    echo "$as_me:$LINENO: result: $ac_cv_lib_socket_connect" >&5
21364    echo "${ECHO_T}$ac_cv_lib_socket_connect" >&6
21365    if test $ac_cv_lib_socket_connect = yes; then
21366      X_EXTRA_LIBS="-lsocket $X_EXTRA_LIBS"
21367    fi
21368    
21369        fi
21370    
21371        # Guillermo Gomez says -lposix is necessary on A/UX.
21372        echo "$as_me:$LINENO: checking for remove" >&5
21373    echo $ECHO_N "checking for remove... $ECHO_C" >&6
21374    if test "${ac_cv_func_remove+set}" = set; then
21375      echo $ECHO_N "(cached) $ECHO_C" >&6
21376    else
21377      cat >conftest.$ac_ext <<_ACEOF
21378    #line $LINENO "configure"
21379    /* confdefs.h.  */
21380    _ACEOF
21381    cat confdefs.h >>conftest.$ac_ext
21382    cat >>conftest.$ac_ext <<_ACEOF
21383    /* end confdefs.h.  */
21384    /* System header to define __stub macros and hopefully few prototypes,
21385        which can conflict with char remove (); below.
21386        Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
21387        <limits.h> exists even on freestanding compilers.  */
21388    #ifdef __STDC__
21389    # include <limits.h>
21390    #else
21391    # include <assert.h>
21392    #endif
21393    /* Override any gcc2 internal prototype to avoid an error.  */
21394    #ifdef __cplusplus
21395    extern "C"
21396    {
21397    #endif
21398    /* We use char because int might match the return type of a gcc2
21399       builtin and then its argument prototype would still apply.  */
21400    char remove ();
21401    /* The GNU C library defines this for functions which it implements
21402        to always fail with ENOSYS.  Some functions are actually named
21403        something starting with __ and the normal name is an alias.  */
21404    #if defined (__stub_remove) || defined (__stub___remove)
21405    choke me
21406    #else
21407    char (*f) () = remove;
21408    #endif
21409    #ifdef __cplusplus
21410    }
21411    #endif
21412    
21413    int
21414    main ()
21415    {
21416    return f != remove;
21417      ;
21418      return 0;
21419    }
21420    _ACEOF
21421    rm -f conftest.$ac_objext conftest$ac_exeext
21422    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21423      (eval $ac_link) 2>&5
21424      ac_status=$?
21425      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21426      (exit $ac_status); } &&
21427             { ac_try='test -s conftest$ac_exeext'
21428      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21429      (eval $ac_try) 2>&5
21430      ac_status=$?
21431      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21432      (exit $ac_status); }; }; then
21433      ac_cv_func_remove=yes
21434    else
21435      echo "$as_me: failed program was:" >&5
21436    sed 's/^/| /' conftest.$ac_ext >&5
21437    
21438    ac_cv_func_remove=no
21439    fi
21440    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21441    fi
21442    echo "$as_me:$LINENO: result: $ac_cv_func_remove" >&5
21443    echo "${ECHO_T}$ac_cv_func_remove" >&6
21444    
21445        if test $ac_cv_func_remove = no; then
21446          echo "$as_me:$LINENO: checking for remove in -lposix" >&5
21447    echo $ECHO_N "checking for remove in -lposix... $ECHO_C" >&6
21448    if test "${ac_cv_lib_posix_remove+set}" = set; then
21449      echo $ECHO_N "(cached) $ECHO_C" >&6
21450    else
21451      ac_check_lib_save_LIBS=$LIBS
21452    LIBS="-lposix  $LIBS"
21453    cat >conftest.$ac_ext <<_ACEOF
21454    #line $LINENO "configure"
21455    /* confdefs.h.  */
21456    _ACEOF
21457    cat confdefs.h >>conftest.$ac_ext
21458    cat >>conftest.$ac_ext <<_ACEOF
21459    /* end confdefs.h.  */
21460    
21461    /* Override any gcc2 internal prototype to avoid an error.  */
21462    #ifdef __cplusplus
21463    extern "C"
21464    #endif
21465    /* We use char because int might match the return type of a gcc2
21466       builtin and then its argument prototype would still apply.  */
21467    char remove ();
21468    int
21469    main ()
21470    {
21471    remove ();
21472      ;
21473      return 0;
21474    }
21475    _ACEOF
21476    rm -f conftest.$ac_objext conftest$ac_exeext
21477    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21478      (eval $ac_link) 2>&5
21479      ac_status=$?
21480      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21481      (exit $ac_status); } &&
21482             { ac_try='test -s conftest$ac_exeext'
21483      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21484      (eval $ac_try) 2>&5
21485      ac_status=$?
21486      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21487      (exit $ac_status); }; }; then
21488      ac_cv_lib_posix_remove=yes
21489    else
21490      echo "$as_me: failed program was:" >&5
21491    sed 's/^/| /' conftest.$ac_ext >&5
21492    
21493    ac_cv_lib_posix_remove=no
21494    fi
21495    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21496    LIBS=$ac_check_lib_save_LIBS
21497    fi
21498    echo "$as_me:$LINENO: result: $ac_cv_lib_posix_remove" >&5
21499    echo "${ECHO_T}$ac_cv_lib_posix_remove" >&6
21500    if test $ac_cv_lib_posix_remove = yes; then
21501      X_EXTRA_LIBS="$X_EXTRA_LIBS -lposix"
21502    fi
21503    
21504        fi
21505    
21506        # BSDI BSD/OS 2.1 needs -lipc for XOpenDisplay.
21507        echo "$as_me:$LINENO: checking for shmat" >&5
21508    echo $ECHO_N "checking for shmat... $ECHO_C" >&6
21509    if test "${ac_cv_func_shmat+set}" = set; then
21510      echo $ECHO_N "(cached) $ECHO_C" >&6
21511    else
21512      cat >conftest.$ac_ext <<_ACEOF
21513    #line $LINENO "configure"
21514    /* confdefs.h.  */
21515    _ACEOF
21516    cat confdefs.h >>conftest.$ac_ext
21517    cat >>conftest.$ac_ext <<_ACEOF
21518    /* end confdefs.h.  */
21519    /* System header to define __stub macros and hopefully few prototypes,
21520        which can conflict with char shmat (); below.
21521        Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
21522        <limits.h> exists even on freestanding compilers.  */
21523    #ifdef __STDC__
21524    # include <limits.h>
21525    #else
21526    # include <assert.h>
21527    #endif
21528    /* Override any gcc2 internal prototype to avoid an error.  */
21529    #ifdef __cplusplus
21530    extern "C"
21531    {
21532    #endif
21533    /* We use char because int might match the return type of a gcc2
21534       builtin and then its argument prototype would still apply.  */
21535    char shmat ();
21536    /* The GNU C library defines this for functions which it implements
21537        to always fail with ENOSYS.  Some functions are actually named
21538        something starting with __ and the normal name is an alias.  */
21539    #if defined (__stub_shmat) || defined (__stub___shmat)
21540    choke me
21541    #else
21542    char (*f) () = shmat;
21543    #endif
21544    #ifdef __cplusplus
21545    }
21546    #endif
21547    
21548    int
21549    main ()
21550    {
21551    return f != shmat;
21552      ;
21553      return 0;
21554    }
21555    _ACEOF
21556    rm -f conftest.$ac_objext conftest$ac_exeext
21557    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21558      (eval $ac_link) 2>&5
21559      ac_status=$?
21560      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21561      (exit $ac_status); } &&
21562             { ac_try='test -s conftest$ac_exeext'
21563      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21564      (eval $ac_try) 2>&5
21565      ac_status=$?
21566      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21567      (exit $ac_status); }; }; then
21568      ac_cv_func_shmat=yes
21569    else
21570      echo "$as_me: failed program was:" >&5
21571    sed 's/^/| /' conftest.$ac_ext >&5
21572    
21573    ac_cv_func_shmat=no
21574    fi
21575    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21576    fi
21577    echo "$as_me:$LINENO: result: $ac_cv_func_shmat" >&5
21578    echo "${ECHO_T}$ac_cv_func_shmat" >&6
21579    
21580        if test $ac_cv_func_shmat = no; then
21581          echo "$as_me:$LINENO: checking for shmat in -lipc" >&5
21582    echo $ECHO_N "checking for shmat in -lipc... $ECHO_C" >&6
21583    if test "${ac_cv_lib_ipc_shmat+set}" = set; then
21584      echo $ECHO_N "(cached) $ECHO_C" >&6
21585    else
21586      ac_check_lib_save_LIBS=$LIBS
21587    LIBS="-lipc  $LIBS"
21588    cat >conftest.$ac_ext <<_ACEOF
21589    #line $LINENO "configure"
21590    /* confdefs.h.  */
21591    _ACEOF
21592    cat confdefs.h >>conftest.$ac_ext
21593    cat >>conftest.$ac_ext <<_ACEOF
21594    /* end confdefs.h.  */
21595    
21596    /* Override any gcc2 internal prototype to avoid an error.  */
21597    #ifdef __cplusplus
21598    extern "C"
21599    #endif
21600    /* We use char because int might match the return type of a gcc2
21601       builtin and then its argument prototype would still apply.  */
21602    char shmat ();
21603    int
21604    main ()
21605    {
21606    shmat ();
21607      ;
21608      return 0;
21609    }
21610    _ACEOF
21611    rm -f conftest.$ac_objext conftest$ac_exeext
21612    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21613      (eval $ac_link) 2>&5
21614      ac_status=$?
21615      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21616      (exit $ac_status); } &&
21617             { ac_try='test -s conftest$ac_exeext'
21618      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21619      (eval $ac_try) 2>&5
21620      ac_status=$?
21621      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21622      (exit $ac_status); }; }; then
21623      ac_cv_lib_ipc_shmat=yes
21624    else
21625      echo "$as_me: failed program was:" >&5
21626    sed 's/^/| /' conftest.$ac_ext >&5
21627    
21628    ac_cv_lib_ipc_shmat=no
21629    fi
21630    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21631    LIBS=$ac_check_lib_save_LIBS
21632    fi
21633    echo "$as_me:$LINENO: result: $ac_cv_lib_ipc_shmat" >&5
21634    echo "${ECHO_T}$ac_cv_lib_ipc_shmat" >&6
21635    if test $ac_cv_lib_ipc_shmat = yes; then
21636      X_EXTRA_LIBS="$X_EXTRA_LIBS -lipc"
21637    fi
21638    
21639        fi
21640      fi
21641    
21642      # Check for libraries that X11R6 Xt/Xaw programs need.
21643      ac_save_LDFLAGS=$LDFLAGS
21644      test -n "$x_libraries" && LDFLAGS="$LDFLAGS -L$x_libraries"
21645      # SM needs ICE to (dynamically) link under SunOS 4.x (so we have to
21646      # check for ICE first), but we must link in the order -lSM -lICE or
21647      # we get undefined symbols.  So assume we have SM if we have ICE.
21648      # These have to be linked with before -lX11, unlike the other
21649      # libraries we check for below, so use a different variable.
21650      # John Interrante, Karl Berry
21651      echo "$as_me:$LINENO: checking for IceConnectionNumber in -lICE" >&5
21652    echo $ECHO_N "checking for IceConnectionNumber in -lICE... $ECHO_C" >&6
21653    if test "${ac_cv_lib_ICE_IceConnectionNumber+set}" = set; then
21654      echo $ECHO_N "(cached) $ECHO_C" >&6
21655    else
21656      ac_check_lib_save_LIBS=$LIBS
21657    LIBS="-lICE $X_EXTRA_LIBS $LIBS"
21658    cat >conftest.$ac_ext <<_ACEOF
21659    #line $LINENO "configure"
21660    /* confdefs.h.  */
21661    _ACEOF
21662    cat confdefs.h >>conftest.$ac_ext
21663    cat >>conftest.$ac_ext <<_ACEOF
21664    /* end confdefs.h.  */
21665    
21666    /* Override any gcc2 internal prototype to avoid an error.  */
21667    #ifdef __cplusplus
21668    extern "C"
21669    #endif
21670    /* We use char because int might match the return type of a gcc2
21671       builtin and then its argument prototype would still apply.  */
21672    char IceConnectionNumber ();
21673    int
21674    main ()
21675    {
21676    IceConnectionNumber ();
21677      ;
21678      return 0;
21679    }
21680    _ACEOF
21681    rm -f conftest.$ac_objext conftest$ac_exeext
21682    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21683      (eval $ac_link) 2>&5
21684      ac_status=$?
21685      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21686      (exit $ac_status); } &&
21687             { ac_try='test -s conftest$ac_exeext'
21688      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21689      (eval $ac_try) 2>&5
21690      ac_status=$?
21691      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21692      (exit $ac_status); }; }; then
21693      ac_cv_lib_ICE_IceConnectionNumber=yes
21694    else
21695      echo "$as_me: failed program was:" >&5
21696    sed 's/^/| /' conftest.$ac_ext >&5
21697    
21698    ac_cv_lib_ICE_IceConnectionNumber=no
21699    fi
21700    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21701    LIBS=$ac_check_lib_save_LIBS
21702    fi
21703    echo "$as_me:$LINENO: result: $ac_cv_lib_ICE_IceConnectionNumber" >&5
21704    echo "${ECHO_T}$ac_cv_lib_ICE_IceConnectionNumber" >&6
21705    if test $ac_cv_lib_ICE_IceConnectionNumber = yes; then
21706      X_PRE_LIBS="$X_PRE_LIBS -lSM -lICE"
21707    fi
21708    
21709      LDFLAGS=$ac_save_LDFLAGS
21710    
21711    fi
21712    
21713    
21714    
21715    
21716    #
21717    # checking X Extensions library
21718    #  * libXext : -lXext -lX11
21719    #
21720    save_cflags="$CFLAGS"
21721    save_libs="$LIBS"
21722    CFLAGS="$save_cflags $X_CFLAGS"
21723    LIBS="$X_LIBS $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $save_libs"
21724    echo "$as_me:$LINENO: checking for main in -lXext" >&5
21725    echo $ECHO_N "checking for main in -lXext... $ECHO_C" >&6
21726    if test "${ac_cv_lib_Xext_main+set}" = set; then
21727      echo $ECHO_N "(cached) $ECHO_C" >&6
21728    else
21729      ac_check_lib_save_LIBS=$LIBS
21730    LIBS="-lXext $LIBS $LIBS"
21731    cat >conftest.$ac_ext <<_ACEOF
21732    #line $LINENO "configure"
21733    /* confdefs.h.  */
21734    _ACEOF
21735    cat confdefs.h >>conftest.$ac_ext
21736    cat >>conftest.$ac_ext <<_ACEOF
21737    /* end confdefs.h.  */
21738    
21739    
21740    int
21741    main ()
21742    {
21743    main ();
21744      ;
21745      return 0;
21746    }
21747    _ACEOF
21748    rm -f conftest.$ac_objext conftest$ac_exeext
21749    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21750      (eval $ac_link) 2>&5
21751      ac_status=$?
21752      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21753      (exit $ac_status); } &&
21754             { ac_try='test -s conftest$ac_exeext'
21755      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21756      (eval $ac_try) 2>&5
21757      ac_status=$?
21758      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21759      (exit $ac_status); }; }; then
21760      ac_cv_lib_Xext_main=yes
21761    else
21762      echo "$as_me: failed program was:" >&5
21763    sed 's/^/| /' conftest.$ac_ext >&5
21764    
21765    ac_cv_lib_Xext_main=no
21766    fi
21767    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21768    LIBS=$ac_check_lib_save_LIBS
21769    fi
21770    echo "$as_me:$LINENO: result: $ac_cv_lib_Xext_main" >&5
21771    echo "${ECHO_T}$ac_cv_lib_Xext_main" >&6
21772    if test $ac_cv_lib_Xext_main = yes; then
21773      XEXTLIB="-lXext"
21774    else
21775      XEXTLIB=""
21776    fi
21777    
21778    CFLAGS="$save_cflags"
21779    LIBS="$save_libs"
21780    
21781    
21782    
21783    #
21784    # checking X Tool kit library
21785    #  * libXt : -lXt -lSM -lICE -lX11
21786    #
21787    save_cflags="$CFLAGS"
21788    save_libs="$LIBS"
21789    CFLAGS="$save_cflags $X_CFLAGS"
21790    LIBS="$X_LIBS $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $save_libs"
21791    echo "$as_me:$LINENO: checking for XtAppInitialize in -lXt" >&5
21792    echo $ECHO_N "checking for XtAppInitialize in -lXt... $ECHO_C" >&6
21793    if test "${ac_cv_lib_Xt_XtAppInitialize+set}" = set; then
21794      echo $ECHO_N "(cached) $ECHO_C" >&6
21795    else
21796      ac_check_lib_save_LIBS=$LIBS
21797    LIBS="-lXt $LIBS $LIBS"
21798    cat >conftest.$ac_ext <<_ACEOF
21799    #line $LINENO "configure"
21800    /* confdefs.h.  */
21801    _ACEOF
21802    cat confdefs.h >>conftest.$ac_ext
21803    cat >>conftest.$ac_ext <<_ACEOF
21804    /* end confdefs.h.  */
21805    
21806    /* Override any gcc2 internal prototype to avoid an error.  */
21807    #ifdef __cplusplus
21808    extern "C"
21809    #endif
21810    /* We use char because int might match the return type of a gcc2
21811       builtin and then its argument prototype would still apply.  */
21812    char XtAppInitialize ();
21813    int
21814    main ()
21815    {
21816    XtAppInitialize ();
21817      ;
21818      return 0;
21819    }
21820    _ACEOF
21821    rm -f conftest.$ac_objext conftest$ac_exeext
21822    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21823      (eval $ac_link) 2>&5
21824      ac_status=$?
21825      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21826      (exit $ac_status); } &&
21827             { ac_try='test -s conftest$ac_exeext'
21828      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21829      (eval $ac_try) 2>&5
21830      ac_status=$?
21831      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21832      (exit $ac_status); }; }; then
21833      ac_cv_lib_Xt_XtAppInitialize=yes
21834    else
21835      echo "$as_me: failed program was:" >&5
21836    sed 's/^/| /' conftest.$ac_ext >&5
21837    
21838    ac_cv_lib_Xt_XtAppInitialize=no
21839    fi
21840    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21841    LIBS=$ac_check_lib_save_LIBS
21842    fi
21843    echo "$as_me:$LINENO: result: $ac_cv_lib_Xt_XtAppInitialize" >&5
21844    echo "${ECHO_T}$ac_cv_lib_Xt_XtAppInitialize" >&6
21845    if test $ac_cv_lib_Xt_XtAppInitialize = yes; then
21846      XTLIB="-lXt"
21847    else
21848      XTLIB=""
21849    fi
21850    
21851    CFLAGS="$save_cflags"
21852    LIBS="$save_libs"
21853    
21854    #
21855    # error check for libXt
21856    #
21857    if test "x$XTLIB" = x; then
21858      { { echo "$as_me:$LINENO: error: The X Toolkit Library '-lXt' could not be found" >&5
21859    echo "$as_me: error: The X Toolkit Library '-lXt' could not be found" >&2;}
21860       { (exit 1); exit 1; }; }
21861    fi
21862    
21863    #
21864    # checking X Miscellaneous utilities library
21865    #  * libXmu : -lXmu -lXt -lXext -lSM -lICE -lX11
21866    #
21867    save_cflags="$CFLAGS"
21868    save_libs="$LIBS"
21869    CFLAGS="$save_cflags $X_CFLAGS"
21870    LIBS="$X_LIBS -lXt $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $save_libs"
21871    echo "$as_me:$LINENO: checking for main in -lXmu" >&5
21872    echo $ECHO_N "checking for main in -lXmu... $ECHO_C" >&6
21873    if test "${ac_cv_lib_Xmu_main+set}" = set; then
21874      echo $ECHO_N "(cached) $ECHO_C" >&6
21875    else
21876      ac_check_lib_save_LIBS=$LIBS
21877    LIBS="-lXmu $LIBS $LIBS"
21878    cat >conftest.$ac_ext <<_ACEOF
21879    #line $LINENO "configure"
21880    /* confdefs.h.  */
21881    _ACEOF
21882    cat confdefs.h >>conftest.$ac_ext
21883    cat >>conftest.$ac_ext <<_ACEOF
21884    /* end confdefs.h.  */
21885    
21886    
21887    int
21888    main ()
21889    {
21890    main ();
21891      ;
21892      return 0;
21893    }
21894    _ACEOF
21895    rm -f conftest.$ac_objext conftest$ac_exeext
21896    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21897      (eval $ac_link) 2>&5
21898      ac_status=$?
21899      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21900      (exit $ac_status); } &&
21901             { ac_try='test -s conftest$ac_exeext'
21902      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21903      (eval $ac_try) 2>&5
21904      ac_status=$?
21905      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21906      (exit $ac_status); }; }; then
21907      ac_cv_lib_Xmu_main=yes
21908    else
21909      echo "$as_me: failed program was:" >&5
21910    sed 's/^/| /' conftest.$ac_ext >&5
21911    
21912    ac_cv_lib_Xmu_main=no
21913    fi
21914    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21915    LIBS=$ac_check_lib_save_LIBS
21916    fi
21917    echo "$as_me:$LINENO: result: $ac_cv_lib_Xmu_main" >&5
21918    echo "${ECHO_T}$ac_cv_lib_Xmu_main" >&6
21919    if test $ac_cv_lib_Xmu_main = yes; then
21920      XMULIB="-lXmu"
21921    else
21922      XMULIB=""
21923    fi
21924    
21925    CFLAGS="$save_cflags"
21926    LIBS="$save_libs"
21927    
21928    
21929    if test "x$check_motif" = xyes; then
21930    
21931    #
21932    # checking X authority database library
21933    #  * libXau : -lXau -lXext -lX11
21934    #
21935      save_cflags="$CFLAGS"
21936      save_libs="$LIBS"
21937      CFLAGS="$save_cflags $X_CFLAGS"
21938      LIBS="$X_LIBS $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $save_libs"
21939      echo "$as_me:$LINENO: checking for XauReadAuth in -lXau" >&5
21940    echo $ECHO_N "checking for XauReadAuth in -lXau... $ECHO_C" >&6
21941    if test "${ac_cv_lib_Xau_XauReadAuth+set}" = set; then
21942      echo $ECHO_N "(cached) $ECHO_C" >&6
21943    else
21944      ac_check_lib_save_LIBS=$LIBS
21945    LIBS="-lXau $LIBS $LIBS"
21946    cat >conftest.$ac_ext <<_ACEOF
21947    #line $LINENO "configure"
21948    /* confdefs.h.  */
21949    _ACEOF
21950    cat confdefs.h >>conftest.$ac_ext
21951    cat >>conftest.$ac_ext <<_ACEOF
21952    /* end confdefs.h.  */
21953    
21954    /* Override any gcc2 internal prototype to avoid an error.  */
21955    #ifdef __cplusplus
21956    extern "C"
21957    #endif
21958    /* We use char because int might match the return type of a gcc2
21959       builtin and then its argument prototype would still apply.  */
21960    char XauReadAuth ();
21961    int
21962    main ()
21963    {
21964    XauReadAuth ();
21965      ;
21966      return 0;
21967    }
21968    _ACEOF
21969    rm -f conftest.$ac_objext conftest$ac_exeext
21970    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
21971      (eval $ac_link) 2>&5
21972      ac_status=$?
21973      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21974      (exit $ac_status); } &&
21975             { ac_try='test -s conftest$ac_exeext'
21976      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
21977      (eval $ac_try) 2>&5
21978      ac_status=$?
21979      echo "$as_me:$LINENO: \$? = $ac_status" >&5
21980      (exit $ac_status); }; }; then
21981      ac_cv_lib_Xau_XauReadAuth=yes
21982    else
21983      echo "$as_me: failed program was:" >&5
21984    sed 's/^/| /' conftest.$ac_ext >&5
21985    
21986    ac_cv_lib_Xau_XauReadAuth=no
21987    fi
21988    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
21989    LIBS=$ac_check_lib_save_LIBS
21990    fi
21991    echo "$as_me:$LINENO: result: $ac_cv_lib_Xau_XauReadAuth" >&5
21992    echo "${ECHO_T}$ac_cv_lib_Xau_XauReadAuth" >&6
21993    if test $ac_cv_lib_Xau_XauReadAuth = yes; then
21994      XAULIB="-lXau"
21995    else
21996      XAULIB=""
21997    fi
21998    
21999      CFLAGS="$save_cflags"
22000      LIBS="$save_libs"
22001    
22002    #
22003    # checking X print server library
22004    #  * libXp : -lXp -lXau -lXext -lX11
22005    #
22006      save_cflags="$CFLAGS"
22007      save_libs="$LIBS"
22008      CFLAGS="$save_cflags $X_CFLAGS"
22009      LIBS="$X_LIBS $XAULIB $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $save_libs"
22010      echo "$as_me:$LINENO: checking for XpCreateContext in -lXp" >&5
22011    echo $ECHO_N "checking for XpCreateContext in -lXp... $ECHO_C" >&6
22012    if test "${ac_cv_lib_Xp_XpCreateContext+set}" = set; then
22013      echo $ECHO_N "(cached) $ECHO_C" >&6
22014    else
22015      ac_check_lib_save_LIBS=$LIBS
22016    LIBS="-lXp $LIBS $LIBS"
22017    cat >conftest.$ac_ext <<_ACEOF
22018    #line $LINENO "configure"
22019    /* confdefs.h.  */
22020    _ACEOF
22021    cat confdefs.h >>conftest.$ac_ext
22022    cat >>conftest.$ac_ext <<_ACEOF
22023    /* end confdefs.h.  */
22024    
22025    /* Override any gcc2 internal prototype to avoid an error.  */
22026    #ifdef __cplusplus
22027    extern "C"
22028    #endif
22029    /* We use char because int might match the return type of a gcc2
22030       builtin and then its argument prototype would still apply.  */
22031    char XpCreateContext ();
22032    int
22033    main ()
22034    {
22035    XpCreateContext ();
22036      ;
22037      return 0;
22038    }
22039    _ACEOF
22040    rm -f conftest.$ac_objext conftest$ac_exeext
22041    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
22042      (eval $ac_link) 2>&5
22043      ac_status=$?
22044      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22045      (exit $ac_status); } &&
22046             { ac_try='test -s conftest$ac_exeext'
22047      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
22048      (eval $ac_try) 2>&5
22049      ac_status=$?
22050      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22051      (exit $ac_status); }; }; then
22052      ac_cv_lib_Xp_XpCreateContext=yes
22053    else
22054      echo "$as_me: failed program was:" >&5
22055    sed 's/^/| /' conftest.$ac_ext >&5
22056    
22057    ac_cv_lib_Xp_XpCreateContext=no
22058    fi
22059    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
22060    LIBS=$ac_check_lib_save_LIBS
22061    fi
22062    echo "$as_me:$LINENO: result: $ac_cv_lib_Xp_XpCreateContext" >&5
22063    echo "${ECHO_T}$ac_cv_lib_Xp_XpCreateContext" >&6
22064    if test $ac_cv_lib_Xp_XpCreateContext = yes; then
22065      XPLIB="-lXp"
22066    else
22067      XPLIB=""
22068    fi
22069    
22070      CFLAGS="$save_cflags"
22071      LIBS="$save_libs"
22072    
22073    #
22074    # checking Motif library
22075    #  * libXm : -lXm -lXp -lXau -lXt -lXext -lSM -lICE -lX11
22076    #
22077      save_cflags="$CFLAGS"
22078      save_libs="$LIBS"
22079      CFLAGS="$save_cflags $X_CFLAGS"
22080      LIBS="$X_LIBS $XPLIB $XAULIB $XTLIB $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $save_libs"
22081      echo "$as_me:$LINENO: checking for main in -lXm" >&5
22082    echo $ECHO_N "checking for main in -lXm... $ECHO_C" >&6
22083    if test "${ac_cv_lib_Xm_main+set}" = set; then
22084      echo $ECHO_N "(cached) $ECHO_C" >&6
22085    else
22086      ac_check_lib_save_LIBS=$LIBS
22087    LIBS="-lXm $LIBS $LIBS"
22088    cat >conftest.$ac_ext <<_ACEOF
22089    #line $LINENO "configure"
22090    /* confdefs.h.  */
22091    _ACEOF
22092    cat confdefs.h >>conftest.$ac_ext
22093    cat >>conftest.$ac_ext <<_ACEOF
22094    /* end confdefs.h.  */
22095    
22096    
22097    int
22098    main ()
22099    {
22100    main ();
22101      ;
22102      return 0;
22103    }
22104    _ACEOF
22105    rm -f conftest.$ac_objext conftest$ac_exeext
22106    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
22107      (eval $ac_link) 2>&5
22108      ac_status=$?
22109      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22110      (exit $ac_status); } &&
22111             { ac_try='test -s conftest$ac_exeext'
22112      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
22113      (eval $ac_try) 2>&5
22114      ac_status=$?
22115      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22116      (exit $ac_status); }; }; then
22117      ac_cv_lib_Xm_main=yes
22118    else
22119      echo "$as_me: failed program was:" >&5
22120    sed 's/^/| /' conftest.$ac_ext >&5
22121    
22122    ac_cv_lib_Xm_main=no
22123    fi
22124    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
22125    LIBS=$ac_check_lib_save_LIBS
22126    fi
22127    echo "$as_me:$LINENO: result: $ac_cv_lib_Xm_main" >&5
22128    echo "${ECHO_T}$ac_cv_lib_Xm_main" >&6
22129    if test $ac_cv_lib_Xm_main = yes; then
22130      XMLIB="-lXm"
22131    else
22132      XMLIB=""
22133    fi
22134    
22135      CFLAGS="$save_cflags"
22136      LIBS="$save_libs"
22137    
22138    # set XM_CFLAGS and XM_LIBS variables
22139      if test "x$XMLIB" = x; then
22140        if test "x$check_motif_error" = "xyes"; then
22141          { { echo "$as_me:$LINENO: error: The Motif Library '-lXm' could not be found" >&5
22142    echo "$as_me: error: The Motif Library '-lXm' could not be found" >&2;}
22143       { (exit 1); exit 1; }; }
22144        fi
22145      else
22146        have_motif="yes"
22147        XM_CFLAGS="-DHAVE_MOTIF $X_CFLAGS"
22148        XM_LIBS="$X_LIBS $XMLIB $XPLIB $XAULIB $XTLIB $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS"
22149      fi
22150    fi
22151    # end of check_motif
22152    
22153    
22154    if test "x$check_xaw" = xyes; then
22155    
22156    #
22157    # checking X11 Athena Widget library
22158    #  * libXaw : -lXaw -lXmu -lXt -lXext -lSM -lICE -lX11
22159    #
22160      save_cflags="$CFLAGS"
22161      save_libs="$LIBS"
22162      CFLAGS="$save_cflags $X_CFLAGS"
22163      LIBS="$X_LIBS $XMULIB $XTLIB $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $save_libs"
22164      echo "$as_me:$LINENO: checking for main in -lXaw" >&5
22165    echo $ECHO_N "checking for main in -lXaw... $ECHO_C" >&6
22166    if test "${ac_cv_lib_Xaw_main+set}" = set; then
22167      echo $ECHO_N "(cached) $ECHO_C" >&6
22168    else
22169      ac_check_lib_save_LIBS=$LIBS
22170    LIBS="-lXaw $LIBS $LIBS"
22171    cat >conftest.$ac_ext <<_ACEOF
22172    #line $LINENO "configure"
22173    /* confdefs.h.  */
22174    _ACEOF
22175    cat confdefs.h >>conftest.$ac_ext
22176    cat >>conftest.$ac_ext <<_ACEOF
22177    /* end confdefs.h.  */
22178    
22179    
22180    int
22181    main ()
22182    {
22183    main ();
22184      ;
22185      return 0;
22186    }
22187    _ACEOF
22188    rm -f conftest.$ac_objext conftest$ac_exeext
22189    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
22190      (eval $ac_link) 2>&5
22191      ac_status=$?
22192      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22193      (exit $ac_status); } &&
22194             { ac_try='test -s conftest$ac_exeext'
22195      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
22196      (eval $ac_try) 2>&5
22197      ac_status=$?
22198      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22199      (exit $ac_status); }; }; then
22200      ac_cv_lib_Xaw_main=yes
22201    else
22202      echo "$as_me: failed program was:" >&5
22203    sed 's/^/| /' conftest.$ac_ext >&5
22204    
22205    ac_cv_lib_Xaw_main=no
22206    fi
22207    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
22208    LIBS=$ac_check_lib_save_LIBS
22209    fi
22210    echo "$as_me:$LINENO: result: $ac_cv_lib_Xaw_main" >&5
22211    echo "${ECHO_T}$ac_cv_lib_Xaw_main" >&6
22212    if test $ac_cv_lib_Xaw_main = yes; then
22213      XAWLIB="-lXaw"
22214    else
22215      XAWLIB=""
22216    fi
22217    
22218      CFLAGS="$save_cflags"
22219      LIBS="$save_libs"
22220    
22221    # set XAW_CFLAGS and XAW_LIBS variables
22222      if test "x$XAWLIB" = x; then
22223        if test "x$check_xaw_error" = "xyes"; then
22224          { { echo "$as_me:$LINENO: error: The X11 Athena Widget Library '-lXaw' could not be found" >&5
22225    echo "$as_me: error: The X11 Athena Widget Library '-lXaw' could not be found" >&2;}
22226       { (exit 1); exit 1; }; }
22227        fi
22228      else
22229        have_xaw="yes"
22230        XAW_CFLAGS="$X_CFLAGS"
22231        XAW_LIBS="$X_LIBS $XAWLIB $XMULIB $XTLIB $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS"
22232      fi
22233    fi
22234    # end of check_xaw
22235    
22236    
22237    if test "x$check_xaw3d" = xyes; then
22238    
22239    #
22240    # checking X Pixmap library
22241    #  * libXpm : -lXpm -lXext -lX11
22242    #
22243      save_cflags="$CFLAGS"
22244      save_libs="$LIBS"
22245      CFLAGS="$save_cflags $X_CFLAGS"
22246      LIBS="$X_LIBS $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $save_libs"
22247      echo "$as_me:$LINENO: checking for XpmCreatePixmapFromBuffer in -lXpm" >&5
22248    echo $ECHO_N "checking for XpmCreatePixmapFromBuffer in -lXpm... $ECHO_C" >&6
22249    if test "${ac_cv_lib_Xpm_XpmCreatePixmapFromBuffer+set}" = set; then
22250      echo $ECHO_N "(cached) $ECHO_C" >&6
22251    else
22252      ac_check_lib_save_LIBS=$LIBS
22253    LIBS="-lXpm $LIBS $LIBS"
22254    cat >conftest.$ac_ext <<_ACEOF
22255    #line $LINENO "configure"
22256    /* confdefs.h.  */
22257    _ACEOF
22258    cat confdefs.h >>conftest.$ac_ext
22259    cat >>conftest.$ac_ext <<_ACEOF
22260    /* end confdefs.h.  */
22261    
22262    /* Override any gcc2 internal prototype to avoid an error.  */
22263    #ifdef __cplusplus
22264    extern "C"
22265    #endif
22266    /* We use char because int might match the return type of a gcc2
22267       builtin and then its argument prototype would still apply.  */
22268    char XpmCreatePixmapFromBuffer ();
22269    int
22270    main ()
22271    {
22272    XpmCreatePixmapFromBuffer ();
22273      ;
22274      return 0;
22275    }
22276    _ACEOF
22277    rm -f conftest.$ac_objext conftest$ac_exeext
22278    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
22279      (eval $ac_link) 2>&5
22280      ac_status=$?
22281      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22282      (exit $ac_status); } &&
22283             { ac_try='test -s conftest$ac_exeext'
22284      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
22285      (eval $ac_try) 2>&5
22286      ac_status=$?
22287      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22288      (exit $ac_status); }; }; then
22289      ac_cv_lib_Xpm_XpmCreatePixmapFromBuffer=yes
22290    else
22291      echo "$as_me: failed program was:" >&5
22292    sed 's/^/| /' conftest.$ac_ext >&5
22293    
22294    ac_cv_lib_Xpm_XpmCreatePixmapFromBuffer=no
22295    fi
22296    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
22297    LIBS=$ac_check_lib_save_LIBS
22298    fi
22299    echo "$as_me:$LINENO: result: $ac_cv_lib_Xpm_XpmCreatePixmapFromBuffer" >&5
22300    echo "${ECHO_T}$ac_cv_lib_Xpm_XpmCreatePixmapFromBuffer" >&6
22301    if test $ac_cv_lib_Xpm_XpmCreatePixmapFromBuffer = yes; then
22302      XPMLIB="-lXpm"
22303    else
22304      XPMLIB=""
22305    fi
22306    
22307      CFLAGS="$save_cflags"
22308      LIBS="$save_libs"
22309    
22310    #
22311    # checking Athena Widget 3D library
22312    #  * libXaw3d : -lXaw3d -lXpm -lXmu -lXt -lXext -lSM -lICE -lX11
22313    #
22314      save_cflags="$CFLAGS"
22315      save_libs="$LIBS"
22316      CFLAGS="$save_cflags $X_CFLAGS"
22317      LIBS="$X_LIBS $XPMLIB $XMULIB $XTLIB $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS $save_libs"
22318      echo "$as_me:$LINENO: checking for main in -lXaw3d" >&5
22319    echo $ECHO_N "checking for main in -lXaw3d... $ECHO_C" >&6
22320    if test "${ac_cv_lib_Xaw3d_main+set}" = set; then
22321      echo $ECHO_N "(cached) $ECHO_C" >&6
22322    else
22323      ac_check_lib_save_LIBS=$LIBS
22324    LIBS="-lXaw3d $LIBS $LIBS"
22325    cat >conftest.$ac_ext <<_ACEOF
22326    #line $LINENO "configure"
22327    /* confdefs.h.  */
22328    _ACEOF
22329    cat confdefs.h >>conftest.$ac_ext
22330    cat >>conftest.$ac_ext <<_ACEOF
22331    /* end confdefs.h.  */
22332    
22333    
22334    int
22335    main ()
22336    {
22337    main ();
22338      ;
22339      return 0;
22340    }
22341    _ACEOF
22342    rm -f conftest.$ac_objext conftest$ac_exeext
22343    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
22344      (eval $ac_link) 2>&5
22345      ac_status=$?
22346      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22347      (exit $ac_status); } &&
22348             { ac_try='test -s conftest$ac_exeext'
22349      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
22350      (eval $ac_try) 2>&5
22351      ac_status=$?
22352      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22353      (exit $ac_status); }; }; then
22354      ac_cv_lib_Xaw3d_main=yes
22355    else
22356      echo "$as_me: failed program was:" >&5
22357    sed 's/^/| /' conftest.$ac_ext >&5
22358    
22359    ac_cv_lib_Xaw3d_main=no
22360    fi
22361    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
22362    LIBS=$ac_check_lib_save_LIBS
22363    fi
22364    echo "$as_me:$LINENO: result: $ac_cv_lib_Xaw3d_main" >&5
22365    echo "${ECHO_T}$ac_cv_lib_Xaw3d_main" >&6
22366    if test $ac_cv_lib_Xaw3d_main = yes; then
22367      XAW3DLIB="-lXaw3d"
22368    else
22369      XAW3DLIB=""
22370    fi
22371    
22372      CFLAGS="$save_cflags"
22373      LIBS="$save_libs"
22374    
22375    # set XAW_CFLAGS and XAW_LIBS variables
22376      if test "x$XAW3DLIB" = x; then
22377        if test "x$check_xaw3d_error" = "xyes"; then
22378          { { echo "$as_me:$LINENO: error: The X11 Athena Widget 3D Library '-lXaw3d' could not be found" >&5
22379    echo "$as_me: error: The X11 Athena Widget 3D Library '-lXaw3d' could not be found" >&2;}
22380       { (exit 1); exit 1; }; }
22381        fi
22382      else
22383        have_xaw3d="yes"
22384        XAW3D_CFLAGS="-DHAVE_XAW3D $X_CFLAGS"
22385        XAW3D_LIBS="$X_LIBS $XAW3DLIB $XPMLIB $XMULIB $XTLIB $XEXTLIB $X_PRE_LIBS -lX11 $X_EXTRA_LIBS"
22386      fi
22387    fi
22388    # end of check_xaw3d
22389    
22390    
22391    
22392    
22393    # set XTOOLKIT_CFLAGS and XTOOLKIT_LIBS variables
22394    if test "x$have_motif" = xyes; then
22395      XTOOLKIT_CFLAGS="$XM_CFLAGS"
22396      XTOOLKIT_LIBS="$XM_LIBS"
22397    elif test "x$have_xaw3d" = xyes; then
22398      XTOOLKIT_CFLAGS="$XAW3D_CFLAGS"
22399      XTOOLKIT_LIBS="$XAW3D_LIBS"
22400    elif test "x$have_xaw" = xyes; then
22401      XTOOLKIT_CFLAGS="$XAW_CFLAGS"
22402      XTOOLKIT_LIBS="$XAW_LIBS"
22403    else
22404      { { echo "$as_me:$LINENO: error: suitable Widget set could not be found" >&5
22405    echo "$as_me: error: suitable Widget set could not be found" >&2;}
22406       { (exit 1); exit 1; }; }
22407    fi
22408    
22409    
22410    
22411    
22412    
22413    
22414    # FIXME: Replace `main' with a function in `-lsatellite':
22415    #AC_CHECK_LIB([satellite], [main])
22416    # FIXME: Replace `main' with a function in `-lslshell':
22417    #AC_CHECK_LIB([slshell], [main])
22418    
22419    echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
22420    echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6
22421    if test "${ac_cv_lib_dl_dlopen+set}" = set; then
22422      echo $ECHO_N "(cached) $ECHO_C" >&6
22423    else
22424      ac_check_lib_save_LIBS=$LIBS
22425    LIBS="-ldl  $LIBS"
22426    cat >conftest.$ac_ext <<_ACEOF
22427    #line $LINENO "configure"
22428    /* confdefs.h.  */
22429    _ACEOF
22430    cat confdefs.h >>conftest.$ac_ext
22431    cat >>conftest.$ac_ext <<_ACEOF
22432    /* end confdefs.h.  */
22433    
22434    /* Override any gcc2 internal prototype to avoid an error.  */
22435    #ifdef __cplusplus
22436    extern "C"
22437    #endif
22438    /* We use char because int might match the return type of a gcc2
22439       builtin and then its argument prototype would still apply.  */
22440    char dlopen ();
22441    int
22442    main ()
22443    {
22444    dlopen ();
22445      ;
22446      return 0;
22447    }
22448    _ACEOF
22449    rm -f conftest.$ac_objext conftest$ac_exeext
22450    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
22451      (eval $ac_link) 2>&5
22452      ac_status=$?
22453      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22454      (exit $ac_status); } &&
22455             { ac_try='test -s conftest$ac_exeext'
22456      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
22457      (eval $ac_try) 2>&5
22458      ac_status=$?
22459      echo "$as_me:$LINENO: \$? = $ac_status" >&5
22460      (exit $ac_status); }; }; then
22461      ac_cv_lib_dl_dlopen=yes
22462    else
22463      echo "$as_me: failed program was:" >&5
22464    sed 's/^/| /' conftest.$ac_ext >&5
22465    
22466    ac_cv_lib_dl_dlopen=no
22467    fi
22468    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
22469    LIBS=$ac_check_lib_save_LIBS
22470    fi
22471    echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
22472    echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6
22473    if test $ac_cv_lib_dl_dlopen = yes; then
22474      cat >>confdefs.h <<_ACEOF
22475    #define HAVE_LIBDL 1
22476    _ACEOF
22477    
22478      LIBS="-ldl $LIBS"
22479    
22480    fi
22481    
22482    
22483    # Checks for header files.
22484    
22485    
22486    
22487    
22488    
# Line 25065  s,@MAINT@,$MAINT,;t t Line 26772  s,@MAINT@,$MAINT,;t t
26772  s,@PTHREAD_CFLAGS@,$PTHREAD_CFLAGS,;t t  s,@PTHREAD_CFLAGS@,$PTHREAD_CFLAGS,;t t
26773  s,@PTHREAD_LIBS@,$PTHREAD_LIBS,;t t  s,@PTHREAD_LIBS@,$PTHREAD_LIBS,;t t
26774  s,@TERMCAP_LIBS@,$TERMCAP_LIBS,;t t  s,@TERMCAP_LIBS@,$TERMCAP_LIBS,;t t
26775    s,@X_CFLAGS@,$X_CFLAGS,;t t
26776    s,@X_PRE_LIBS@,$X_PRE_LIBS,;t t
26777    s,@X_LIBS@,$X_LIBS,;t t
26778    s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t
26779    s,@XTOOLKIT_CFLAGS@,$XTOOLKIT_CFLAGS,;t t
26780    s,@XTOOLKIT_LIBS@,$XTOOLKIT_LIBS,;t t
26781  s,@LIBOBJS@,$LIBOBJS,;t t  s,@LIBOBJS@,$LIBOBJS,;t t
26782  s,@POW_LIB@,$POW_LIB,;t t  s,@POW_LIB@,$POW_LIB,;t t
26783  s,@LTLIBOBJS@,$LTLIBOBJS,;t t  s,@LTLIBOBJS@,$LTLIBOBJS,;t t

Legend:
Removed from v.1.3  
changed lines
  Added in v.1.4

Back to OSDN">Back to OSDN
ViewVC Help
Powered by ViewVC 1.1.26